kibot (1.5.2-1) UNRELEASED; urgency=medium

  * Reserved for next release

 -- Salvador Eduardo Tropea <salvador@inti.gob.ar>  Fri, 16 Dec 2022 13:42:01 -0300

kibot (1.5.1-1) stable; urgency=medium

  * Fixed system level resources look-up

 -- Salvador Eduardo Tropea <salvador@inti.gob.ar>  Fri, 16 Dec 2022 12:45:05 -0300

kibot (1.5.0-1) stable; urgency=medium

  * New outputs: populate, panelize, stencil_3d, stencil_for_jig and
    kikit_present.
  * Generic filters: options to filter by PCB side
  * BoM: Option to link to Mouser site and Human readable text output format.
  * Diff: Option to compare only the first schematic page.
  * iBoM: Support for the `offset_back_rotation` option.
  * Navigate Results: Support for compress
  * PcbDraw: BMP output format, image margin, outline width, solder paste
    removal, V-CUTS layer, resistor remap and flip, a `remap_components`
    option with better type checks, better support for variants, option to
    control the *SVG precision* (units scale) and filter expansion in
    `show_components` and `highlight`.
  * PCB_Print: Option to control the *SVG precision* (units scale), now the
    text in the PDF is searchable and margins for the autoscale mode.
  * Render_3D: Options to render only some components (like in PcbDraw),
    auto-crop the resulting PNG, make transparent the background and to
    highlight components.
  * SVG: option to control the *SVG precision* (units scale)
  * Changed the default behavior when comparing multiple sheets schematics,
    now we compare all pages.
  * Changed the loss tangent decimals in the report, added one more.
  * Fixed QR lib update: Problems when moving the footprint to the bottom for
    KiCad 5.
  * Fixed SVG, PCB_Print, PcbDraw: Problems to display the outputs using Chrome
    and Firefox.
  * Fixed Diff: Problems when comparing to a repo point where the PCB/SCH
    didn't exist yet.
  * Fixed Report: Problems when using NPTH holes with sizes that doesn't
    correspond to real drill tools. It generated bogus reports about wrong OARs
  * Fixed problems when using more than one dielectric in the stack-up.
  * Fixed gerber: Extension used for JLCPCB inner layers.
  * Fixed BoM: The length of the CSV separator is now validated, using \t, \n,
    \r and \\ is now supported and the digi-key link in the HTML output.
  * Fixed KiBoM: User defined fields wasn't available as column names.
  * Fixed imports: Problems with recursive imports when the intermediate import
    didn't contain any of the requested elements (i.e. no outputs).
  * Fixed navigate results: fail when no output to generate. Now you get a
    warning.
  * Fixed Makefile: outputs marked as not run by default were listed in the
    `all` target.

 -- Salvador Eduardo Tropea <salvador@inti.gob.ar>  Fri, 16 Dec 2022 09:36:03 -0300

kibot (1.4.0-1) stable; urgency=medium

  * New outputs: PCB_Variant and Copy_Files.
  * General things:
    - Some basic preprocessing, now you can parametrize the YAML config.
    - Support for 3D models aliases
    - Environment and text variables now can be used as 3D model aliases.
    - Environment and text variables expansion is now recursive.
    - Command line option to specify warnings to be excluded.
    - `pre_transform` filter to outputs supporting variants.
  * Support for Eurocircuits drill adjust to fix small OARs.
  * Global options:
    - Support for changing text variables with variants during outputs
      creation.
    - Options to control which stuff is changed on PCB variants
    - Mechanism to give more priority to local globals.
  * Diff added mechanisms to:
    - Compare using a variant
    - Specify the current PCB/Schematic in memory
    - Compare with the last Nth tag
    - Skip pages with no differences
  * Sch Variant options to:
    - Copy the project.
    - Change the title.
  * Render_3D: Options to disable some technical layers and control the
    silkscreen clipping.
  * Internal BoM:
    - Now you can aggregate components using CSV files.
    - Added some basic support for "Exclude from BoM" flag
  * Now you can check PCB and schematic parity using the `update_xml` preflight
  * New filters:
    - `urlify` to convert URLs in fields to HTML links
    - `field_modify` a more generic field transformer
  * Position: option to set the resolution for floating values (#314)
  * Fixed problems to compress netlists.
  * Fixed 2D PCB processing didn't show in 3D targets
  * Fixed KiBot exited when downloading a datasheet and got a connection error
  * Fixed KiCad 5 "assert "lower <= upper" failed in Clamp()"
  * Fixed missing XYRS information for components with multiple units
  * Fixed Schematic v6:
    - Problems when creating a variant of a sub-sheet that was edited as a
      standalone sheet
    - Autoplace fields could be lost in variants.
  * Fixed iBoM: Name displayed in the HTML when using filters and/or variants.
  * Fixed Position: Components wrongly separated by side when the side column
    wasn't the last column
  * Changed in diff:
    - When comparing a file now the links says Current/FILE instead of None
    - The default was to compare the current file on storage, now is the current
      file on memory. It includes the zone refill indicated in the preflights.
    - Now the error about differences bigger than the threshold is more clear.
      KiBot also returns a distinct error level.
  * Changed: Now the global `dir` option also applies to the preflights
  * Changed: When importing globals now options that are lists or dicts are
    merged, not just replaced.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Wed, 12 Oct 2022 10:08:16 -0300

kibot (1.3.0-1) stable; urgency=medium

  * New outputs: Diff and Info
  * Download missing tools
  * New global options: to cross components without body and restore project
  * Nested imports and preflight imports
  * Option to continue on errors
  * PDF/SVG PCB Print: option to print all pages/single page
  * iBoM: Support for variants that change component fields
  * Workaround for problems with DRC exclusions
  * Internal BoM: KiCad 6 text variables expansion in the fields
  * Compress: Option to store symlinks
  * PCB Print:
    - Option to configure the forced edge color.
    - Option to control the resolution (DPI).
    - Option to move the page number to the extension (page_number_as_extension)
    - Option to customize the page numbers (See #283)
  * Installation checker: option to show the tool paths.
  * Various fixes

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Thu, 08 Sep 2022 09:00:51 -0300

kibot (1.2.0-1) stable; urgency=medium

  * The outputs help now display the more relevant options first and
    highlighted.
  * Outputs now can have priorities, by default is applied.
  * New output navigate_results`.
  * New global environment section.
  * Fixed components with mounting hole where excluded.
  * Fixed missing GenCAD output targets.
  * Fixed problems expanding multiple KiCad variables in the same value.
  * XML BoM: Fixed problems with fields containing /
  * Fixed pcb_print: vias processing was disabled.
  * Fixed pcb_print: problems with frame in GUI mode and portrait page
    orientation.
  * Fixed svg_pcb_print: page orientation for portrait.
  * Changed KiCad environment variables: more variables detected, native
    KiCad 6 names, all exported to the environment.
  * Consequences of the priorities implementation: `qr_lib` outputs are
    created before others and `navigate_results` and `compress` outputs are
    created after others

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 14 Jun 2022 15:28:35 -0300

kibot (1.1.0-1) stable; urgency=medium

  * `kibot-check` tool to check the installation
  * New outputs: KiCad netlist generation and IPC-D-356 netlist generation
  * Internal BoM: Pattern and text variables expansion in the title and
    customizable extra info after the title
  * Fixed: already configured outputs not created (i.e. when creating reports)
  * Fixed: KiCost+Internal variants: UTF-8 problems and problem with `variant`
    field capitalization

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 24 May 2022 08:59:47 -0300

kibot (1.0.0-1) stable; urgency=medium

  * KiCad 6 support
  * Import mechanism for filters, variants and globals
  * Outputs can use the options of other outputs as base (extend them).
  * A mechanism to avoid running some outputs by default.
  * `--cli-order` option to generate outputs in arbitrary order.
  * New preflights:
    - Commands to replace tags in the schematic and PCB (KiCad 5).
      Also a mechanism to define variables in KiCad 6.
    - Annotate power components.
    - Annotate according to PCB coordinates
  * New outputs:
    - 3D view render
    - QR codes generation and update: symbols and footprints.
    - Print PCB layers in SVG/PDF/PS/EPS/PNG format.
    - Join PDFs.
    - Export PCB in GENCAD format.
    - Report generation (for design house)
    - Datasheet downloader.
  * Filters and Variants:
    - New 3D model variant mechanism
    - Support for variants on KiCost output.
    - Generic filter: options to match if a field is/isn't defined.
  * Global options:
    - Default global `dir` option.
    - Default global `units` option.
    - Global option to specify `out_dir` (like -d command line option)
    - Global options to control the date format.
    - Added global options to define the PCB details (`pcb_material`,
      `solder_mask_color`, `silk_screen_color` and `pcb_finish`)
  * Expansion patterns:
    - **%g** the `file_id` of the global variant.
    - **%G** the `name` of the global variant.
    - **%C1**, **%C2**, **%C3** and **%C4** the comments in the sch/pcb title
      block.
    - **%bc**, **%bC1**, **%bC2**, **%bC3**, **%bC4**, **%bd**, **%bf**,
      **%bF**, **%bp** and **%br** board data
    - **%sc**, **%sC1**, **%sC2**, **%sC3**, **%sC4**, **%sd**, **%sf**,
      **%sF**, **%sp** and **%sr** schematic data
    - **%V** the variant name
    - **%I** user defined ID for this output
    - Now patterns are also expanded in the out_dir name.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 10 May 2022 09:58:05 -0300

kibot (0.11.0-1) stable; urgency=medium

  * Most relevant:
    - New filter types:
      - `suparts`: Adds support for KiCost's subparts feature.
      - `field_rename`: Used to rename schematic fields.
      - `var_rename_kicost`: Like `var_rename` but using KiCost mechanism.
    - New KiCost variant style.
    - Board view file format export (#69)
    - Experimental KiCost support

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sun, 25 Apr 2021 10:06:40 -0300

kibot (0.10.1-1) stable; urgency=medium

  * GitLab CI workaround.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Mon, 22 Feb 2021 15:06:57 -0300

kibot (0.10.0-4) stable; urgency=medium

  * Fixed problem using Python 3.6
    (ZipFile's compresslevel argument introduced in 3.7)

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 16 Feb 2021 12:51:24 -0300

kibot (0.10.0-3) stable; urgency=medium

  * Fixed problem using Python 3.6 (#52)
    (StreamHandler.setStream introduced in 3.7)

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 16 Feb 2021 12:01:03 -0300

kibot (0.10.0-2) stable; urgency=medium

  * Added python3-distutils as dependency.
    Is part of the base Python standard, but in a separated package.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Fri, 12 Feb 2021 17:22:27 -0300

kibot (0.10.0-1) stable; urgency=medium

  * Most relevant:
    - Compressed files generation
    - Makefile generation
    - Import outputs from other configs
    - Multi-project consolidated BoMs
    - Sortable HTML BoMs
    - Gerber and drill examples for five manufacturers

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Fri, 12 Feb 2021 15:58:41 -0300

kibot (0.9.0-1) stable; urgency=medium

  * Added: file name patterns are allowed for the `netlist_file` option.
  * Added: %F is the name of the source file without extension, but
  with the path.
  * Added support to field overwrite according to variant.
  * Added support to generate negative X positions for the bottom layer.
  * Added a filter to rotate footprints in the position file (#28).
  * Added: The step output now can download missing 3D models.
  * Now position files are naturally sorted (R10 after R9, not after R1)
  * Position files in CSV format quotes only the columns that could contain an
  space. Just like KiCad does.
  * Fixed: Now we support missing field names in schematic library entries.
  * Fixed: Generic filter `include_only` option worked only when debug enabled.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Mon, 04 Jan 2021 15:27:48 -0300

kibot (0.8.1-1) stable; urgency=medium

  * Added: Small details to internal BoM HTML output.
  * Fixed: Internal BoM separator wasn't applied when using `use_alt`
  * Fixed: Problems loading plug-ins when using `pip`.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Wed, 09 Dec 2020 12:55:23 -0300

kibot (0.8.0-1) stable; urgency=medium

  * Added: BoM references separator.
  * Added: More PCB print options.
  * Added: Filters for KiBot warnings.
  * Added: Columns customization for .pos files.
  * Fixed: Variants issues.
  * Fixed: Problem with bogus pads without solder mask aperture.
  * Fixed: Problems when generating unified drill files.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Fri, 06 Nov 2020 13:40:49 -0300

kibot (0.7.0-1) stable; urgency=medium

  * Variants and filters support for most outputs.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Thu, 10 Sep 2020 16:00:49 -0300

kibot (0.6.2-1) stable; urgency=medium

  * Spaces at the beggining and end of user fields when creating the
    internal BoM are now discarded.
  * Fix: the variants logic for BoMs when a component resquested to be only
    added to more than one variant.
  * Removed warnings about malformed values for DNF components indicating it
    in its value.
  * Fix problems with PcbDraw when generating PNG and JPG outputs.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 25 Aug 2020 13:29:14 -0300

kibot (0.6.1-1) stable; urgency=medium

  * Added more robust behavior on GUI dependent commands.
  * Incorporated mcpy, no longer a dependency.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Thu, 20 Aug 2020 10:11:16 -0300

kibot (0.6.0-1) stable; urgency=medium

  * New internal BoM generator.
  * New SVG schematic print.
  * KiBoM can be cnfigured from YAML.
  * Unified output file names.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sun, 16 Aug 2020 19:22:58 -0300

kiplot.inti-cmnb (0.5.0-1) stable; urgency=medium

  * Removed the "plot" option "check_zone_fills". Use the preflight option.
  * Drill outputs: map.type and report.filename now should be map and report.
    The old mechanism is currently supported, but deprecated.
  * Now the command line usage is more clearly documented, but also more strict.
  * The --list option doesn't need a PCB file anymore.
    Note that passing it is now considered an error.
  * Now we test the PCB and/or SCH only when we are doing something that needs
    them.
  * The layers entry is much more flexible now.
    Many changes, read the README.md
  * Added PcbDraw output.
  * Added -e/--schematic option to specify any schematic (not just derived
    from the PCB name.
  * Added -x/--example option to generate a complete configuration example.
  * Added  --example supports --copy-options to copy the plot options from the
    PCB file.
  * Added help for the supported outputs (--help-list-outputs, --help-outputs
    and --help-output)
  * Added help for the supported preflights (--help-preflights)
  * Better YAML validation.
  * Added HPGL options:
    - pen_number
    - pen_speed
  * Added metric_units to DXF options
  * Added KiBoM options
    - number
    - variant
    - conf
    - separator
  * Added the following InteractiveHtmlBom options:
    - dark_mode
    - hide_pads
    - show_fabrication
    - hide_silkscreen
    - highlight_pin1
    - no_redraw_on_drag
    - board_rotation
    - checkboxes
    - bom_view
    - layer_view
    - include_tracks
    - include_nets
    - sort_order
    - no_blacklist_virtual
    - blacklist_empty_val
    - netlist_file
    - extra_fields
    - normalize_field_case
    - variant_field
    - variants_whitelist
    - variants_blacklist
    - dnp_field
  * Fixed the `sketch_plot` option is now implemented.
  * Fixed 'ignore_unconnected' preflight wasn't working.
  * Fixed the report of hwo many ERC/DRC errors we found.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sat, 11 Jul 2020 13:56:36 -0300

kiplot.inti-cmnb (0.4.0-1) stable; urgency=medium

  * Added STEP 3D model generation

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Wed, 17 Jun 2020 15:38:08 -0300

kiplot.inti-cmnb (0.3.0-1) stable; urgency=medium

  * Added better debug information when a BoM fails to be generated.
  * Added support for compressed YAML files.
  * Changed to allow operations that doesn't involve a PCB to run if the PCB
    file is missing or corrupted.
  * The 'check_zone_fills' option is now independent of 'run_drc'
  * Fixed error codes that overlapped.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sun, 14 Jun 2020 15:24:36 -0300

kiplot.inti-cmnb (0.2.5-1) stable; urgency=medium

  * Added: tolerate config files without outputs
  * Added: mechanism to filter ERC/DRC errors
  * Fixed: All pcbnew plot formats generated gerber job files
  * Fixed: Most formats that needed layers didn't complain when ommited

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Thu, 11 Jun 2020 13:06:12 -0300

kiplot.inti-cmnb (0.2.4-1) stable; urgency=medium

  * Changed: Now kicad-automation-scripts 1.3.1 or newer is needed.
  * Fixed: Problems for kibom and print_sch outputs when the PCB name included a
    path.

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Tue, 19 May 2020 12:11:41 -0300

kiplot.inti-cmnb (0.2.3-1) stable; urgency=medium

  * Added command line option to list available targets

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Thu, 23 Apr 2020 14:39:56 -0300

kiplot.inti-cmnb (0.2.2-1) stable; urgency=medium

  *  Removed KiBoM temporal files
  *  Fixed preflight tasks that didn't honor --out-dir

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Mon, 20 Apr 2020 18:35:00 -0300

kiplot.inti-cmnb (0.2.1-1) stable; urgency=medium

  * Fixed problem when excellon drill target didn't exist

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sat, 18 Apr 2020 15:58:59 -0300

kiplot.inti-cmnb (0.2.0-1) stable; urgency=medium

  * Added KiBoM and InteractiveHtmlBom support
  * Added DRC, ERC and update XML BoM
  * Added Print as PDF (PCB/SCH)

 -- Salvador E. Tropea <salvador@inti.gob.ar>  Sat, 28 Mar 2020 16:39:57 -0300

kiplot.inti-cmnb (0.1.1-1) stable; urgency=medium

  * Added position file generation from https://github.com/johnbeard/kiplot/pull/10
    and some changes:
    https://github.com/INTI-CMNB/kiplot/commit/bce849b44b0310be261cf0ae46c3b2e6a6c38388

 -- Salvador Eduardo Tropea <salvador@inti.gob.ar>  Fri, 13 Mar 2020 13:11:34 -0300

kiplot.inti-cmnb (0.1.0-1) testing; urgency=low

  * Initial release.

 -- Salvador Eduardo Tropea <salvador@inti.gob.ar>  Tue, 10 Mar 2020 13:27:48 -0300
